import {
	createTRPCRouter,
	protectedProcedure,
	publicProcedure,
} from "$lib/trpc/t";
import z from "zod";
import { AuthController } from "./controller";

export const authRouter = createTRPCRouter({
	shouldLogin: publicProcedure
		.input(z.object({ username: z.string() }))
		.query(async ({ input }) => {
			return new AuthController().shouldLogin(input.username);
		}),
});
